Summary: learn names of music notes fast and easily
Name: klearnnotes2
Version: 1.2
Release: 0
Vendor: wiecko
Source: http://download.sourceforge.net/klearnnotes2/%{name}-%{version}.tar.gz
URL: http://klearnnotes2.sourceforge.net/
Copyright: GPL
Group: Applications/Multimedia
#Patch: klearnnotes2-1.0_p01.patch
BuildRoot: %{_tmppath}/%name-%{version}

%description
KLearnNotes2 is a software for teaching the names of music notes.
It features
 * an intelligent quick learning algorithm (focusing training on student's
       weak points)
 * a flexible lesson choice and a set of preset lessons focused on gradual
       learning of successive notes
 * bass and treble clefs
 * a flexible speed goal choice and a set of preset speed-goal levels 
       (to encourage training for fast, automatic notes reading)
 * two training modes: 
       - static, vertical notes' positions (preparation for chord reading)
       - horizontal, game-style (preparation for sight-reading)
 * voice recognition (you can answer questions with your voice!)
 * sound output choice: standard, for guitar players or custom

In future KLearnNotes2 will be a full-featured music teacher (rhythm, scales, 
key signatures, chords) with special focus on playing the guitar.

linux with qt-mt/kdelibs (should work on other Unices);
midi sound output for OSS or using timidity (any system) or ALSA (experimental!
using tse3 library); voice recognition from microphone (OSS only)
%prep
%setup
#%patch -p1 -b .rmpbuild

%build
./configure  --prefix=/usr/
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/usr/" install

%clean
rm -rf $RPM_BUILD_ROOT


%files -f files.list

%defattr(-,root,root)
%doc INSTALL INSTALL_PROBLEMS INSTALL_PROBLEMS-FreeBSD NEWS BUGS README TODO COPYING ChangeLog TODO_details TODO_future_exercises
%config
