/***************************************************************************
 ** $Id: exercise.cpp,v 1.2 2004/04/07 17:55:46 wiecko Exp $
                          klearnnotes2
                          exercise.cpp -  description
                             -------------------
    begin                : Tue Mar 30 03:17:17 CEST 2004
    copyright            : (C) 2004 by Marek Wieckowski
    email                : wiecko AT users.sourceforge.net
***************************************************************************/

#include "exercise.h"

#include "globals.h"

Exercise::Exercise(KLearnNotes2* kln2_) : 
    QFrame(kln2_->centralWidget())   //  QObject(kln2_), 
{
  ///  debuginfo("Exercise() - start");
  kln2=kln2_;
  started=false;
  //  debuginfo("Exercise() - end");
}
Exercise::~Exercise() {}

bool Exercise::isActiveName(BaseMusicNote* note)  
{
  USENOTE(note);
  return true;
}
bool Exercise::isActivePitch(BaseMusicNote* note)
{
  USENOTE(note);
  return true;
}
bool Exercise::isActiveNote(BaseMusicNote* note)
{
  USENOTE(note);
  return true;
}

bool Exercise::isStarted()
{
  return started;
}

void Exercise::show() {}
void Exercise::hide() {}

void Exercise::start()
{
  if(!started)
    {
      started=true;
      emit starting();
    }
}

void Exercise::stop()
{
  if(started)
    {
      started=false;
      emit stopping();
    }
}

