/***************************************************************************
 ** $Id: keypressed.h,v 1.4 2004/02/12 07:32:44 wiecko Exp $
                          klearnnotes2
                          keyboard.c -  description
                             -------------------
    begin                : Thu Oct 23 03:55:46 CEST 2003
    copyright            : (C) 2003 by Marek Wieckowski
    email                : wiecko AT users.sourceforge.net
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KLN_KEYPRESSED_H
#define KLN_KEYPRESSED_H

#include <kdialogbase.h>
class DModelEditor;

//! a dialog used as an auto recording dialog (for voice model editor)
/*! It simulates keyboard behaviour from Daniel Kiecza's cvoicecontrol
  sample recording; one static semi-modal dialog with overridden slotCancel()
 */
class KeyPressDialog  : public KDialogBase
{
  Q_OBJECT
    public:
  KeyPressDialog(QString capt, QString txt, DModelEditor* parent=0);
  ~KeyPressDialog();
//! runs papa->setKeypressed(true) and exits
  void slotCancel();
 protected:
//! the parent dialog; it has to have setKeypressed(bool) method defined
  DModelEditor* papa;
};

#endif 

/* OLD COMMENTS:
  now: a Dialog 
  1. sets keypressed=false
  2. show()s a non-modal dialog "Click to cancel"
  3. connects signal cancelled of the dialog to a function that sets 
  keypressed to 1
  4. runs Kiecza's code (this will stop if keyPressed())
  5. when Kiecza's code stops hide() the dialog and set keypressed to 0
*/
