/***************************************************************************
 ** $Id: solfeggionotation.h,v 1.1 2004/04/11 06:25:55 fcuenca Exp $
                          klearnnotes2
                          scalenotation.h
                             -------------------
    begin                : Sun Mar  7 22:13:54 CEST 2004
    copyright            : (C) 2003 by Marek Wieckowski
    email                : wiecko AT users.sourceforge.net
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __SOLFEGGIONOTATION_H__
#define __SOLFEGGIONOTATION_H__

#include "scalenotation.h"

//! Class that represents the Solfeggio notation
class SolfeggioNotation: public ScaleNotation
{
public:
   virtual QString getNoteLabel(ScaleNote noteName, NoteAccident noteAcc = evNatural) const;
   virtual int     getNoteChar(ScaleNote noteName, NoteAccident noteAcc = evNatural) const;

};  

#endif

