/***************************************************************************
 ** $Id: exe-piano_name.h,v 1.3 2004/04/27 02:28:22 wiecko Exp $
                          klearnnotes2
                          exe-piano_name.h -  description
                             -------------------
    begin                : Sat Apr  3 01:13:45 CEST 2004
    copyright            : (C) 2004 by Marek Wieckowski
    email                : wiecko AT users.sourceforge.net
***************************************************************************/

#ifndef KLN_EXE_PIANO_NAME_H
#define KLN_EXE_PIANO_NAME_H
#include "exercise.h"
#include "musicwidget.h"     //class PianoKeyboard
#include "KLNfancywidgets.h" //class NameButtonsBox
#include <qlayout.h>

class ExercisePianoToName: public Exercise
{
  Q_OBJECT

    public:
  ExercisePianoToName(KLearnNotes2* kln2_);
  virtual ~ExercisePianoToName();

  virtual bool isActiveName(BaseMusicNote*);
  virtual bool isActivePitch(BaseMusicNote*);
  virtual bool isActiveNote(BaseMusicNote*);

  virtual void show();
  virtual void hide();

  public slots:
    virtual void start();
  virtual void stop();
  virtual void startStop();

 protected:
  PianoKeyboard* pianoKeyboard;
  NameButtonsBox* nameButtonsBox;
  QVBoxLayout* myLayout;

  void connectIdle();
  void disconnectIdle();
};


class ExerciseNameToPiano: public ExercisePianoToName
{
  Q_OBJECT
    public:
  ExerciseNameToPiano(KLearnNotes2* kln2_);

  public slots:
    virtual void start();
  virtual void stop();
};


#endif// KLN_EXE_PIANO_NAME_H
